Skip to main content
GET
/
v1
/
humanizations
List humanizations for a variant
curl --request GET \
  --url https://api.example.com/v1/humanizations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "completed_at": "2026-04-22T14:15:28+00:00",
      "created_at": "2026-04-22T14:15:00+00:00",
      "credit_cost": 1,
      "id": "dddd1111-eeee-2222-ffff-333344445555",
      "inputs": {
        "variant_id": "11112222-3333-4444-5555-666677778888"
      },
      "object": "humanization",
      "results": [
        {
          "humanized_vh": "EVQLVESGGGLVQPGGSLRLSCAAS...",
          "humanized_vl": "DIQMTQSPSSLSASVGDRVTITCRASQ...",
          "liabilities": {
            "glycosylation": [],
            "oxidation": [
              "H100"
            ]
          },
          "mutations": {
            "vh": 12,
            "vl": 8
          },
          "oasis_score": {
            "mean": 0.91,
            "median": 0.93
          },
          "strategy": "cdr_grafting"
        }
      ],
      "started_at": "2026-04-22T14:15:02+00:00",
      "status": "completed"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

variant_id
string<uuid>
required
limit
integer
default:50
Required range: 1 <= x <= 200
after
string | null

Response

Successful Response

data
Humanization · object[]
required
has_more
boolean
required
next_cursor
string | null